<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class StockBooking extends Model
{
    /**
     * Get the booked_by that owns the order.
     */
    public function BookedBy()
    {
        return $this->belongsTo('App\User','booked_by','id');
    }

     public function order_no() {
        return $this->hasOne('App\DsfBookingNumber','stock_booking_id','id');
    }
     public function dsfshop()
    {
        return $this->belongsTo('App\DsfShop','party_id','id');
    }

    public function stock_details()
    {
        return $this->hasMany('App\StockBookingDetail', 'stock_booking_id');
    }
    public function stock_bilty() {
        return $this->hasMany('App\Bilti','stock_booking_id','id')->with(['products','supplier','biltyImages']);
    }
}
