<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ProductCategory extends Model
{
    /***
     *  Product Price Relationship
     *
     * @return \Illuminate\Database\Eloquent\Relations\hasMany
     */
    public function product_prices()
    {
        return $this->hasMany('App\ProductPrice', 'product_id','product_id');
    }
    public function main_product()
    {
        return $this->belongsTo('App\Product','product_id','id');
    }

}
